Skip to main content
PUT
/
api
/
user
/
setting
Update User Settings
curl --request PUT \
  --url https://api.ldx.dev/api/user/setting \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "notify_type": "<string>",
  "quota_warning_threshold": 123,
  "webhook_url": "<string>",
  "notification_email": "<string>"
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.liandanxia.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
notify_type
string
quota_warning_threshold
number
webhook_url
string
notification_email
string

Response

200

Success